Author Topic: install in fedora core 4  (Read 3915 times)

Offline worster

  • Multiple posting newcomer
  • *
  • Posts: 12
install in fedora core 4
« on: November 09, 2005, 02:26:18 pm »
I've installed a brand new fedora core 4 linux instead of redhat 9, and installed wxGTK2.4.2,build src rpm of codeblocks rc2, and correct the all 'wxUSleep ' to 'wxUsleep', but finally i got error :

/usr/local/lib/libwx_gtk2-2.4.so: undefined reference to `wxwxListStringNode::~wxwxListStringNode()'
/usr/local/lib/libwx_gtk2-2.4.so: undefined reference to `wxwxMenuItemListNode::~wxwxMenuItemListNode()'
/usr/local/lib/libwx_gtk2-2.4.so: undefined reference to `wxwxMenuItemListNode::~wxwxMenuItemListNode()'
/usr/local/lib/libwx_gtk2-2.4.so: undefined reference to `vtable for wxFileProto'
/usr/local/lib/libwx_gtk2-2.4.so: undefined reference to `wxwxListStringNode::~wxwxListStringNode()'
collect2: ld returned 1 exit status
make[3]: *** [codeblocks] Error 1
make[3]: Leaving directory `/usr/src/redhat/BUILD/codeblocks-1.0rc2/src/src'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/usr/src/redhat/BUILD/codeblocks-1.0rc2/src/src'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/usr/src/redhat/BUILD/codeblocks-1.0rc2/src'
make: *** [all-recursive] Error 1


how could i resolove it?? thanks all for your kind heart...

Offline takeshi miya

  • Lives here!
  • ****
  • Posts: 1487
Re: install in fedora core 4
« Reply #1 on: November 09, 2005, 05:01:46 pm »
I'm not sure about those errors, but you can try this compiled package for Fedora Core 4: http://www.neoinvent.com/cb/codeblocks-1.0-rc2.i386.rpm

Offline worster

  • Multiple posting newcomer
  • *
  • Posts: 12
Re: install in fedora core 4
« Reply #2 on: November 10, 2005, 02:47:41 am »
I've tried your compiled package before, but get the following error message:

error: Failed dependencies:
        libwx_gtk2-2.4.so.0 is needed by codeblocks-1.0-rc2.i386
        libwx_gtk2-2.4.so.0(WXGTK2_2.4) is needed by codeblocks-1.0-rc2.i386
        libwx_gtk2_xrc-2.4.so.0 is needed by codeblocks-1.0-rc2.i386
        libwx_gtk2_xrc-2.4.so.0(WXGTK2_2.4) is needed by codeblocks-1.0-rc2.i386


actullay i've installed wxGTK 2.4.2, and files ibwx_gtk2-2.4.so.0 and libwx_gtk2_xrc-2.4.so.0 also could be found in the director /usr/local/lib,I've also add path /usr/local/lib to /etc/ld.so.conf, anyone who know why?

Thaks for your reply.
« Last Edit: November 10, 2005, 04:02:32 am by worster »

Offline takeshi miya

  • Lives here!
  • ****
  • Posts: 1487
Re: install in fedora core 4
« Reply #3 on: November 10, 2005, 04:50:43 am »
It seems that it can't found the libraries. Make sure they have the same name.

In libwx_gtk2-2.4, notice the number 2, maybe your library is called libwx_gtk-2.4

BTW, from where you got the wx packages?

Offline worster

  • Multiple posting newcomer
  • *
  • Posts: 12
Re: install in fedora core 4
« Reply #4 on: November 10, 2005, 05:07:29 am »
I've checked, and the names are exactly the same.

first of all, i compiled the wxGTK2 myself, after the error described above occurred, i downloaded binary rpms of fedora core 4, and installed them, but the same error happened


Oh, why could not i just be smoothly use the codeblocks!

Offline rickg22

  • Lives here!
  • ****
  • Posts: 2283
Re: install in fedora core 4
« Reply #5 on: November 10, 2005, 05:41:50 am »
I recall codeblocks not finding some libraries. I just copied them to the same codeblocks directory. Yes, it's dirty but what the heck.

Offline worster

  • Multiple posting newcomer
  • *
  • Posts: 12
Re: install in fedora core 4
« Reply #6 on: November 10, 2005, 05:59:49 am »
yes, i now just extract the codeblocks binary rpm instead of install it, and it can work.

I think may be the build of rpm has some path problem so it could not find the dependent libaries.

Now, the codeblocks could work, though it's a dirty way.

Thanks everyone, especially the codeblocks teams.